Bug 1474530 - on a ORACLE SERVER X6-2, after writing the image to disk, the server will power off but not completely [NEEDINFO]
on a ORACLE SERVER X6-2, after writing the image to disk, the server will pow...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: RHOS Maint
mlammon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 17:27 EDT by David Hill
Modified: 2017-08-15 13:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bfournie: needinfo? (dhill)


Attachments (Terms of Use)

  None (edit)
Description David Hill 2017-07-24 17:27:07 EDT
Description of problem:
on a ORACLE SERVER X6-2, after writing the image to disk, the server will power off but not completely and won't reboot until we manually reboot it.  Introspection worked fine but the deployment always hangs there.

Version-Release number of selected component (if applicable):
Latest

How reproducible:
Always

Steps to Reproduce:
1. Introspect a node
2. Try deploying on it
3. 

Actual results:
Stuck on reboot after writing to disk

Expected results:
Reboots and call backs

Additional info:
Just before rebooting, I see a kernel trace but it does't stick long enough for a screenshot.
Comment 1 Bob Fournier 2017-08-04 10:53:44 EDT
Hi David,

Would you have an sosreport and/or undercloud logs that would go along with this, especially ramdisk logs?  Looking at the attached case its not clear where in the sequence this particular problem happened and which attachments reflect the problem.

Thank you.
Comment 5 Dmitry Tantsur 2017-08-15 08:59:10 EDT
All I can find is "Host power-on denied because SP is not ready to manage power" in the hardware event logs. I suspect it may be a hardware problem or misconfiguration. As a work around, you can try increasing either or both of https://github.com/openstack/ironic/blob/stable/ocata/etc/ironic/ironic.conf.sample#L1776-L1788.

Please let us know if it helps.
Comment 6 Bob Fournier 2017-08-15 13:55:21 EDT
Yeah it looks like a power issue or configuration problem in ILOM (SP).  From a contact of mine at Oracle, this error message "looks like it happens when the Power State Machine is locked. Which could be due to a progparts update, ueficfg lock, power budget issue, etc."

You indicated that you can manually reboot the server.  Is that done through the ILOM cli or web interface?  If not, can you try to start the host using ILOM and see if the same problem occurs?

Note You need to log in before you can comment on or make changes to this bug.